swagger2-2.1.4.1: Swagger 2.0 data model

Maintainer | Nickolay Kudasov <nickolay@getshoptv.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Data.Swagger.Lens

Contents

- Classy lenses
- Prisms
  - `ParamAnySchema` prisms
  - `SecuritySchemeType` prisms
  - `Referenced` prisms
  - `SwaggerItems` prisms
- Orphan instances

Description

Lenses and prisms for Swagger.

Synopsis

- class HasBasePath s a | s -> a where
- class HasConsumes s a | s -> a where
- class HasDefinitions s a | s -> a where
- class HasExternalDocs s a | s -> a where
- class HasHost s a | s -> a where
- class HasInfo s a | s -> a where
- class HasParameters s a | s -> a where
- class HasPaths s a | s -> a where
- class HasProduces s a | s -> a where
- class HasResponses s a | s -> a where
- class HasSchemes s a | s -> a where
- class HasSecurity s a | s -> a where
- class HasSecurityDefinitions s a | s -> a where
- class HasTags s a | s -> a where
- class HasName s a | s -> a where
- class HasPort s a | s -> a where
- class HasContact s a | s -> a where
- class HasDescription s a | s -> a where
- class HasLicense s a | s -> a where
- class HasTermsOfService s a | s -> a where
- class HasTitle s a | s -> a where
- class HasVersion s a | s -> a where
- class HasEmail s a | s -> a where
- class HasUrl s a | s -> a where
- class HasDelete s a | s -> a where
- class HasGet s a | s -> a where
- class HasHead s a | s -> a where
- class HasOptions s a | s -> a where
- class HasPatch s a | s -> a where
- class HasPost s a | s -> a where
- class HasPut s a | s -> a where
- class HasDeprecated s a | s -> a where
- class HasOperationId s a | s -> a where
- class HasSummary s a | s -> a where
- class HasRequired s a | s -> a where
- class HasSchema s a | s -> a where
- class HasAllowEmptyValue s a | s -> a where
- class HasIn s a | s -> a where
- class HasParamSchema s a | s -> a where
- class HasAdditionalProperties s a | s -> a where
- class HasAllOf s a | s -> a where
- class HasDiscriminator s a | s -> a where
- class HasExample s a | s -> a where
- class HasMaxProperties s a | s -> a where
- class HasMinProperties s a | s -> a where
- class HasProperties s a | s -> a where
- class HasReadOnly s a | s -> a where
- class HasXml s a | s -> a where
- class HasDefault s a | s -> a where
- class HasEnum s a | s -> a where
- class HasExclusiveMaximum s a | s -> a where
- class HasExclusiveMinimum s a | s -> a where
- class HasFormat s a | s -> a where
- class HasItems s a | s -> a where
- class HasMaxItems s a | s -> a where
- class HasMaxLength s a | s -> a where
- class HasMaximum s a | s -> a where
- class HasMinItems s a | s -> a where
- class HasMinLength s a | s -> a where
- class HasMinimum s a | s -> a where
- class HasMultipleOf s a | s -> a where
- class HasPattern s a | s -> a where
- class HasType s a | s -> a where
- class HasUniqueItems s a | s -> a where
- class HasAttribute s a | s -> a where
- class HasNamespace s a | s -> a where
- class HasPrefix s a | s -> a where
- class HasWrapped s a | s -> a where
- class HasExamples s a | s -> a where
- class HasHeaders s a | s -> a where
- _ParamOther :: Prism' ParamAnySchema ParamOtherSchema
- _ParamBody :: Prism' ParamAnySchema (Referenced Schema)
- _SecuritySchemeOAuth2 :: Prism' SecuritySchemeType OAuth2Params
- _SecuritySchemeApiKey :: Prism' SecuritySchemeType ApiKeyParams
- _SecuritySchemeBasic :: Prism' SecuritySchemeType ()
- _Inline :: forall a a. Prism (Referenced a) (Referenced a) a a
- _Ref :: forall a. Prism' (Referenced a) Reference
- _SwaggerItemsArray :: Review (SwaggerItems SwaggerKindSchema) [Referenced Schema]
- _SwaggerItemsObject :: Review (SwaggerItems SwaggerKindSchema) (Referenced Schema)
- _SwaggerItemsPrimitive :: forall t p f. (Profunctor p, Bifunctor p, Functor f) => Optic' p f (SwaggerItems t) (Maybe (CollectionFormat t), ParamSchema t)

# Classy lenses

class HasBasePath s a | s -> a where #

Minimal complete definition

basePath

Methods

basePath :: Lens' s a #

Instances

HasBasePath Swagger (Maybe FilePath) # |
Methods basePath :: Lens' Swagger (Maybe FilePath) #

class HasConsumes s a | s -> a where #

Minimal complete definition

consumes

Methods

consumes :: Lens' s a #

Instances

HasConsumes Swagger MimeList # |
Methods consumes :: Lens' Swagger MimeList #
HasConsumes Operation (Maybe MimeList) # |
Methods consumes :: Lens' Operation (Maybe MimeList) #

class HasDefinitions s a | s -> a where #

Minimal complete definition

definitions

Methods

definitions :: Lens' s a #

Instances

HasDefinitions Swagger (Definitions Schema) # |
Methods definitions :: Lens' Swagger (Definitions Schema) #

class HasExternalDocs s a | s -> a where #

Minimal complete definition

externalDocs

Methods

externalDocs :: Lens' s a #

Instances

HasExternalDocs Tag (Maybe ExternalDocs) # |
Methods externalDocs :: Lens' Tag (Maybe ExternalDocs) #
HasExternalDocs Schema (Maybe ExternalDocs) # |
Methods externalDocs :: Lens' Schema (Maybe ExternalDocs) #
HasExternalDocs Operation (Maybe ExternalDocs) # |
Methods externalDocs :: Lens' Operation (Maybe ExternalDocs) #
HasExternalDocs Swagger (Maybe ExternalDocs) # |
Methods externalDocs :: Lens' Swagger (Maybe ExternalDocs) #

class HasHost s a | s -> a where #

Minimal complete definition

host

Methods

host :: Lens' s a #

Instances

HasHost Swagger (Maybe Host) # |
Methods host :: Lens' Swagger (Maybe Host) #

class HasInfo s a | s -> a where #

Minimal complete definition

info

Methods

info :: Lens' s a #

Instances

HasInfo Swagger Info # |
Methods info :: Lens' Swagger Info #

class HasParameters s a | s -> a where #

Minimal complete definition

parameters

Methods

parameters :: Lens' s a #

Instances

HasParameters Operation [Referenced Param] # |
Methods parameters :: Lens' Operation [Referenced Param] #
HasParameters PathItem [Referenced Param] # |
Methods parameters :: Lens' PathItem [Referenced Param] #
HasParameters Swagger (Definitions Param) # |
Methods parameters :: Lens' Swagger (Definitions Param) #

class HasPaths s a | s -> a where #

Minimal complete definition

paths

Methods

paths :: Lens' s a #

Instances

HasPaths Swagger (InsOrdHashMap FilePath PathItem) # |
Methods paths :: Lens' Swagger (InsOrdHashMap FilePath PathItem) #

class HasProduces s a | s -> a where #

Minimal complete definition

produces

Methods

produces :: Lens' s a #

Instances

HasProduces Swagger MimeList # |
Methods produces :: Lens' Swagger MimeList #
HasProduces Operation (Maybe MimeList) # |
Methods produces :: Lens' Operation (Maybe MimeList) #

class HasResponses s a | s -> a where #

Minimal complete definition

responses

Methods

responses :: Lens' s a #

Instances

HasResponses Operation Responses # |
Methods responses :: Lens' Operation Responses #
HasResponses Swagger (Definitions Response) # |
Methods responses :: Lens' Swagger (Definitions Response) #
HasResponses Responses (InsOrdHashMap HttpStatusCode (Referenced Response)) # |
Methods responses :: Lens' Responses (InsOrdHashMap HttpStatusCode (Referenced Response)) #

class HasSchemes s a | s -> a where #

Minimal complete definition

schemes

Methods

schemes :: Lens' s a #

Instances

HasSchemes Operation (Maybe [Scheme]) # |
Methods schemes :: Lens' Operation (Maybe [Scheme]) #
HasSchemes Swagger (Maybe [Scheme]) # |
Methods schemes :: Lens' Swagger (Maybe [Scheme]) #

class HasSecurity s a | s -> a where #

Minimal complete definition

security

Methods

security :: Lens' s a #

Instances

HasSecurity Operation [SecurityRequirement] # |
Methods security :: Lens' Operation [SecurityRequirement] #
HasSecurity Swagger [SecurityRequirement] # |
Methods security :: Lens' Swagger [SecurityRequirement] #

class HasSecurityDefinitions s a | s -> a where #

Minimal complete definition

securityDefinitions

Methods

securityDefinitions :: Lens' s a #

Instances

HasSecurityDefinitions Swagger (Definitions SecurityScheme) # |
Methods securityDefinitions :: Lens' Swagger (Definitions SecurityScheme) #

class HasTags s a | s -> a where #

Minimal complete definition

tags

Methods

tags :: Lens' s a #

Instances

HasTags Operation (Set TagName) # |
Methods tags :: Lens' Operation (Set TagName) #
HasTags Swagger (Set Tag) # |
Methods tags :: Lens' Swagger (Set Tag) #

class HasName s a | s -> a where #

Minimal complete definition

name

Methods

name :: Lens' s a #

Instances

HasName Tag TagName # |
Methods name :: Lens' Tag TagName #
HasName Param Text # |
Methods name :: Lens' Param Text #
HasName Host HostName # |
Methods name :: Lens' Host HostName #
HasName License Text # |
Methods name :: Lens' License Text #
HasName Xml (Maybe Text) # |
Methods name :: Lens' Xml (Maybe Text) #
HasName NamedSchema (Maybe Text) # |
Methods name :: Lens' NamedSchema (Maybe Text) #
HasName Contact (Maybe Text) # |
Methods name :: Lens' Contact (Maybe Text) #

class HasPort s a | s -> a where #

Minimal complete definition

port

Methods

port :: Lens' s a #

Instances

HasPort Host (Maybe PortNumber) # |
Methods port :: Lens' Host (Maybe PortNumber) #

class HasContact s a | s -> a where #

Minimal complete definition

contact

Methods

contact :: Lens' s a #

Instances

HasContact Info (Maybe Contact) # |
Methods contact :: Lens' Info (Maybe Contact) #

class HasDescription s a | s -> a where #

Minimal complete definition

description

Methods

description :: Lens' s a #

Instances

HasDescription Response Text # |
Methods description :: Lens' Response Text #
HasDescription ExternalDocs (Maybe Text) # |
Methods description :: Lens' ExternalDocs (Maybe Text) #
HasDescription Tag (Maybe Text) # |
Methods description :: Lens' Tag (Maybe Text) #
HasDescription SecurityScheme (Maybe Text) # |
Methods description :: Lens' SecurityScheme (Maybe Text) #
HasDescription Header (Maybe Text) # |
Methods description :: Lens' Header (Maybe Text) #
HasDescription Schema (Maybe Text) # |
Methods description :: Lens' Schema (Maybe Text) #
HasDescription Param (Maybe Text) # |
Methods description :: Lens' Param (Maybe Text) #
HasDescription Operation (Maybe Text) # |
Methods description :: Lens' Operation (Maybe Text) #
HasDescription Info (Maybe Text) # |
Methods description :: Lens' Info (Maybe Text) #

class HasLicense s a | s -> a where #

Minimal complete definition

license

Methods

license :: Lens' s a #

Instances

HasLicense Info (Maybe License) # |
Methods license :: Lens' Info (Maybe License) #

class HasTermsOfService s a | s -> a where #

Minimal complete definition

termsOfService

Methods

termsOfService :: Lens' s a #

Instances

HasTermsOfService Info (Maybe Text) # |
Methods termsOfService :: Lens' Info (Maybe Text) #

class HasTitle s a | s -> a where #

Minimal complete definition

title

Methods

title :: Lens' s a #

Instances

HasTitle Info Text # |
Methods title :: Lens' Info Text #
HasTitle Schema (Maybe Text) # |
Methods title :: Lens' Schema (Maybe Text) #

class HasVersion s a | s -> a where #

Minimal complete definition

version

Methods

version :: Lens' s a #

Instances

HasVersion Info Text # |
Methods version :: Lens' Info Text #

class HasEmail s a | s -> a where #

Minimal complete definition

email

Methods

email :: Lens' s a #

Instances

HasEmail Contact (Maybe Text) # |
Methods email :: Lens' Contact (Maybe Text) #

class HasUrl s a | s -> a where #

Minimal complete definition

url

Methods

url :: Lens' s a #

Instances

HasUrl ExternalDocs URL # |
Methods url :: Lens' ExternalDocs URL #
HasUrl License (Maybe URL) # |
Methods url :: Lens' License (Maybe URL) #
HasUrl Contact (Maybe URL) # |
Methods url :: Lens' Contact (Maybe URL) #

class HasDelete s a | s -> a where #

Minimal complete definition

delete

Methods

delete :: Lens' s a #

Instances

HasDelete PathItem (Maybe Operation) # |
Methods delete :: Lens' PathItem (Maybe Operation) #

class HasGet s a | s -> a where #

Minimal complete definition

get

Methods

get :: Lens' s a #

Instances

HasGet PathItem (Maybe Operation) # |
Methods get :: Lens' PathItem (Maybe Operation) #

class HasHead s a | s -> a where #

Minimal complete definition

head_

Methods

head_ :: Lens' s a #

Instances

HasHead PathItem (Maybe Operation) # |
Methods head_ :: Lens' PathItem (Maybe Operation) #

class HasOptions s a | s -> a where #

Minimal complete definition

options

Methods

options :: Lens' s a #

Instances

HasOptions PathItem (Maybe Operation) # |
Methods options :: Lens' PathItem (Maybe Operation) #

class HasPatch s a | s -> a where #

Minimal complete definition

patch

Methods

patch :: Lens' s a #

Instances

HasPatch PathItem (Maybe Operation) # |
Methods patch :: Lens' PathItem (Maybe Operation) #

class HasPost s a | s -> a where #

Minimal complete definition

post

Methods

post :: Lens' s a #

Instances

HasPost PathItem (Maybe Operation) # |
Methods post :: Lens' PathItem (Maybe Operation) #

class HasPut s a | s -> a where #

Minimal complete definition

put

Methods

put :: Lens' s a #

Instances

HasPut PathItem (Maybe Operation) # |
Methods put :: Lens' PathItem (Maybe Operation) #

class HasDeprecated s a | s -> a where #

Minimal complete definition

deprecated

Methods

deprecated :: Lens' s a #

Instances

HasDeprecated Operation (Maybe Bool) # |
Methods deprecated :: Lens' Operation (Maybe Bool) #

class HasOperationId s a | s -> a where #

Minimal complete definition

operationId

Methods

operationId :: Lens' s a #

Instances

HasOperationId Operation (Maybe Text) # |
Methods operationId :: Lens' Operation (Maybe Text) #

class HasSummary s a | s -> a where #

Minimal complete definition

summary

Methods

summary :: Lens' s a #

Instances

HasSummary Operation (Maybe Text) # |
Methods summary :: Lens' Operation (Maybe Text) #

class HasRequired s a | s -> a where #

Minimal complete definition

required

Methods

required :: Lens' s a #

Instances

HasRequired Schema [ParamName] # |
Methods required :: Lens' Schema [ParamName] #
HasRequired Param (Maybe Bool) # |
Methods required :: Lens' Param (Maybe Bool) #

class HasSchema s a | s -> a where #

Minimal complete definition

schema

Methods

schema :: Lens' s a #

Instances

HasSchema NamedSchema Schema # |
Methods schema :: Lens' NamedSchema Schema #
HasSchema Param ParamAnySchema # |
Methods schema :: Lens' Param ParamAnySchema #
HasSchema Response (Maybe (Referenced Schema)) # |
Methods schema :: Lens' Response (Maybe (Referenced Schema)) #

class HasAllowEmptyValue s a | s -> a where #

Minimal complete definition

allowEmptyValue

Methods

allowEmptyValue :: Lens' s a #

Instances

HasAllowEmptyValue ParamOtherSchema (Maybe Bool) # |
Methods allowEmptyValue :: Lens' ParamOtherSchema (Maybe Bool) #

class HasIn s a | s -> a where #

Minimal complete definition

in_

Methods

in_ :: Lens' s a #

Instances

HasIn ParamOtherSchema ParamLocation # |
Methods in_ :: Lens' ParamOtherSchema ParamLocation #

class HasParamSchema s a | s -> a where #

Minimal complete definition

paramSchema

Methods

paramSchema :: Lens' s a #

Instances

HasParamSchema Header (ParamSchema (SwaggerKindNormal * Header)) # |
Methods paramSchema :: Lens' Header (ParamSchema (SwaggerKindNormal * Header)) #
HasParamSchema NamedSchema (ParamSchema (SwaggerKindSchema *)) # |
Methods paramSchema :: Lens' NamedSchema (ParamSchema (SwaggerKindSchema *)) #
HasParamSchema Schema (ParamSchema (SwaggerKindSchema Type)) # |
Methods paramSchema :: Lens' Schema (ParamSchema (SwaggerKindSchema Type)) #
HasParamSchema ParamOtherSchema (ParamSchema (SwaggerKindParamOtherSchema Type)) # |
Methods paramSchema :: Lens' ParamOtherSchema (ParamSchema (SwaggerKindParamOtherSchema Type)) #

class HasAdditionalProperties s a | s -> a where #

Minimal complete definition

additionalProperties

Methods

additionalProperties :: Lens' s a #

Instances

HasAdditionalProperties Schema (Maybe (Referenced Schema)) # |
Methods additionalProperties :: Lens' Schema (Maybe (Referenced Schema)) #

class HasAllOf s a | s -> a where #

Minimal complete definition

allOf

Methods

allOf :: Lens' s a #

Instances

HasAllOf Schema (Maybe [Schema]) # |
Methods allOf :: Lens' Schema (Maybe [Schema]) #

class HasDiscriminator s a | s -> a where #

Minimal complete definition

discriminator

Methods

discriminator :: Lens' s a #

Instances

HasDiscriminator Schema (Maybe Text) # |
Methods discriminator :: Lens' Schema (Maybe Text) #

class HasExample s a | s -> a where #

Minimal complete definition

example

Methods

example :: Lens' s a #

Instances

HasExample Schema (Maybe Value) # |
Methods example :: Lens' Schema (Maybe Value) #

class HasMaxProperties s a | s -> a where #

Minimal complete definition

maxProperties

Methods

maxProperties :: Lens' s a #

Instances

HasMaxProperties Schema (Maybe Integer) # |
Methods maxProperties :: Lens' Schema (Maybe Integer) #

class HasMinProperties s a | s -> a where #

Minimal complete definition

minProperties

Methods

minProperties :: Lens' s a #

Instances

HasMinProperties Schema (Maybe Integer) # |
Methods minProperties :: Lens' Schema (Maybe Integer) #

class HasProperties s a | s -> a where #

Minimal complete definition

properties

Methods

properties :: Lens' s a #

Instances

HasProperties Schema (InsOrdHashMap Text (Referenced Schema)) # |
Methods properties :: Lens' Schema (InsOrdHashMap Text (Referenced Schema)) #

class HasReadOnly s a | s -> a where #

Minimal complete definition

readOnly

Methods

readOnly :: Lens' s a #

Instances

HasReadOnly Schema (Maybe Bool) # |
Methods readOnly :: Lens' Schema (Maybe Bool) #

class HasXml s a | s -> a where #

Minimal complete definition

xml

Methods

xml :: Lens' s a #

Instances

HasXml Schema (Maybe Xml) # |
Methods xml :: Lens' Schema (Maybe Xml) #

class HasDefault s a | s -> a where #

Minimal complete definition

default_

Methods

default_ :: Lens' s a #

Instances

HasDefault Header (Maybe Value) # |
Methods default_ :: Lens' Header (Maybe Value) #
HasDefault Responses (Maybe (Referenced Response)) # |
Methods default_ :: Lens' Responses (Maybe (Referenced Response)) #
HasDefault Schema (Maybe Value) # |
Methods default_ :: Lens' Schema (Maybe Value) #
HasDefault ParamOtherSchema (Maybe Value) # |
Methods default_ :: Lens' ParamOtherSchema (Maybe Value) #
HasDefault (ParamSchema t0) (Maybe Value) # |
Methods default_ :: Lens' (ParamSchema t0) (Maybe Value) #

class HasEnum s a | s -> a where #

Minimal complete definition

enum_

Methods

enum_ :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasEnum s (Maybe [Value]) # |
Methods enum_ :: Lens' s (Maybe [Value]) #
HasEnum (ParamSchema t0) (Maybe [Value]) # |
Methods enum_ :: Lens' (ParamSchema t0) (Maybe [Value]) #

class HasExclusiveMaximum s a | s -> a where #

Minimal complete definition

exclusiveMaximum

Methods

exclusiveMaximum :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasExclusiveMaximum s (Maybe Bool) # |
Methods exclusiveMaximum :: Lens' s (Maybe Bool) #
HasExclusiveMaximum (ParamSchema t0) (Maybe Bool) # |
Methods exclusiveMaximum :: Lens' (ParamSchema t0) (Maybe Bool) #

class HasExclusiveMinimum s a | s -> a where #

Minimal complete definition

exclusiveMinimum

Methods

exclusiveMinimum :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasExclusiveMinimum s (Maybe Bool) # |
Methods exclusiveMinimum :: Lens' s (Maybe Bool) #
HasExclusiveMinimum (ParamSchema t0) (Maybe Bool) # |
Methods exclusiveMinimum :: Lens' (ParamSchema t0) (Maybe Bool) #

class HasFormat s a | s -> a where #

Minimal complete definition

format

Methods

format :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasFormat s (Maybe Format) # |
Methods format :: Lens' s (Maybe Format) #
HasFormat (ParamSchema t0) (Maybe Format) # |
Methods format :: Lens' (ParamSchema t0) (Maybe Format) #

class HasItems s a | s -> a where #

Minimal complete definition

items

Methods

items :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasItems s (Maybe (SwaggerItems t)) # |
Methods items :: Lens' s (Maybe (SwaggerItems t)) #
HasItems (ParamSchema t0) (Maybe (SwaggerItems t0)) # |
Methods items :: Lens' (ParamSchema t0) (Maybe (SwaggerItems t0)) #

class HasMaxItems s a | s -> a where #

Minimal complete definition

maxItems

Methods

maxItems :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasMaxItems s (Maybe Integer) # |
Methods maxItems :: Lens' s (Maybe Integer) #
HasMaxItems (ParamSchema t0) (Maybe Integer) # |
Methods maxItems :: Lens' (ParamSchema t0) (Maybe Integer) #

class HasMaxLength s a | s -> a where #

Minimal complete definition

maxLength

Methods

maxLength :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasMaxLength s (Maybe Integer) # |
Methods maxLength :: Lens' s (Maybe Integer) #
HasMaxLength (ParamSchema t0) (Maybe Integer) # |
Methods maxLength :: Lens' (ParamSchema t0) (Maybe Integer) #

class HasMaximum s a | s -> a where #

Minimal complete definition

maximum_

Methods

maximum_ :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasMaximum s (Maybe Scientific) # |
Methods maximum_ :: Lens' s (Maybe Scientific) #
HasMaximum (ParamSchema t0) (Maybe Scientific) # |
Methods maximum_ :: Lens' (ParamSchema t0) (Maybe Scientific) #

class HasMinItems s a | s -> a where #

Minimal complete definition

minItems

Methods

minItems :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasMinItems s (Maybe Integer) # |
Methods minItems :: Lens' s (Maybe Integer) #
HasMinItems (ParamSchema t0) (Maybe Integer) # |
Methods minItems :: Lens' (ParamSchema t0) (Maybe Integer) #

class HasMinLength s a | s -> a where #

Minimal complete definition

minLength

Methods

minLength :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasMinLength s (Maybe Integer) # |
Methods minLength :: Lens' s (Maybe Integer) #
HasMinLength (ParamSchema t0) (Maybe Integer) # |
Methods minLength :: Lens' (ParamSchema t0) (Maybe Integer) #

class HasMinimum s a | s -> a where #

Minimal complete definition

minimum_

Methods

minimum_ :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasMinimum s (Maybe Scientific) # |
Methods minimum_ :: Lens' s (Maybe Scientific) #
HasMinimum (ParamSchema t0) (Maybe Scientific) # |
Methods minimum_ :: Lens' (ParamSchema t0) (Maybe Scientific) #

class HasMultipleOf s a | s -> a where #

Minimal complete definition

multipleOf

Methods

multipleOf :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasMultipleOf s (Maybe Scientific) # |
Methods multipleOf :: Lens' s (Maybe Scientific) #
HasMultipleOf (ParamSchema t0) (Maybe Scientific) # |
Methods multipleOf :: Lens' (ParamSchema t0) (Maybe Scientific) #

class HasPattern s a | s -> a where #

Minimal complete definition

pattern

Methods

pattern :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasPattern s (Maybe Text) # |
Methods pattern :: Lens' s (Maybe Text) #
HasPattern (ParamSchema t0) (Maybe Pattern) # |
Methods pattern :: Lens' (ParamSchema t0) (Maybe Pattern) #

class HasType s a | s -> a where #

Minimal complete definition

type_

Methods

type_ :: Lens' s a #

Instances

HasType SecurityScheme SecuritySchemeType # |
Methods type_ :: Lens' SecurityScheme SecuritySchemeType #
HasType Header (SwaggerType (SwaggerKindNormal * Header)) # |
Methods type_ :: Lens' Header (SwaggerType (SwaggerKindNormal * Header)) #
HasType NamedSchema (SwaggerType (SwaggerKindSchema *)) # |
Methods type_ :: Lens' NamedSchema (SwaggerType (SwaggerKindSchema *)) #
HasType Schema (SwaggerType (SwaggerKindSchema *)) # |
Methods type_ :: Lens' Schema (SwaggerType (SwaggerKindSchema *)) #
HasType ParamOtherSchema (SwaggerType (SwaggerKindParamOtherSchema *)) # |
Methods type_ :: Lens' ParamOtherSchema (SwaggerType (SwaggerKindParamOtherSchema *)) #
HasType (ParamSchema t0) (SwaggerType t0) # |
Methods type_ :: Lens' (ParamSchema t0) (SwaggerType t0) #

class HasUniqueItems s a | s -> a where #

Minimal complete definition

uniqueItems

Methods

uniqueItems :: Lens' s a #

Instances

HasParamSchema s (ParamSchema t) => HasUniqueItems s (Maybe Bool) # |
Methods uniqueItems :: Lens' s (Maybe Bool) #
HasUniqueItems (ParamSchema t0) (Maybe Bool) # |
Methods uniqueItems :: Lens' (ParamSchema t0) (Maybe Bool) #

class HasAttribute s a | s -> a where #

Minimal complete definition

attribute

Methods

attribute :: Lens' s a #

Instances

HasAttribute Xml (Maybe Bool) # |
Methods attribute :: Lens' Xml (Maybe Bool) #

class HasNamespace s a | s -> a where #

Minimal complete definition

namespace

Methods

namespace :: Lens' s a #

Instances

HasNamespace Xml (Maybe Text) # |
Methods namespace :: Lens' Xml (Maybe Text) #

class HasPrefix s a | s -> a where #

Minimal complete definition

prefix

Methods

prefix :: Lens' s a #

Instances

HasPrefix Xml (Maybe Text) # |
Methods prefix :: Lens' Xml (Maybe Text) #

class HasWrapped s a | s -> a where #

Minimal complete definition

wrapped

Methods

wrapped :: Lens' s a #

Instances

HasWrapped Xml (Maybe Bool) # |
Methods wrapped :: Lens' Xml (Maybe Bool) #

class HasExamples s a | s -> a where #

Minimal complete definition

examples

Methods

examples :: Lens' s a #

Instances

HasExamples Response (Maybe Example) # |
Methods examples :: Lens' Response (Maybe Example) #

class HasHeaders s a | s -> a where #

Minimal complete definition

headers

Methods

headers :: Lens' s a #

Instances

HasHeaders Response (InsOrdHashMap HeaderName Header) # |
Methods headers :: Lens' Response (InsOrdHashMap HeaderName Header) #

# Prisms

## `ParamAnySchema` prisms

_ParamOther :: Prism' ParamAnySchema ParamOtherSchema #

_ParamBody :: Prism' ParamAnySchema (Referenced Schema) #

## `SecuritySchemeType` prisms

_SecuritySchemeOAuth2 :: Prism' SecuritySchemeType OAuth2Params #

_SecuritySchemeApiKey :: Prism' SecuritySchemeType ApiKeyParams #

_SecuritySchemeBasic :: Prism' SecuritySchemeType () #

## `Referenced` prisms

_Inline :: forall a a. Prism (Referenced a) (Referenced a) a a #

_Ref :: forall a. Prism' (Referenced a) Reference #

## `SwaggerItems` prisms

_SwaggerItemsArray :: Review (SwaggerItems SwaggerKindSchema) [Referenced Schema] #

_SwaggerItemsObject :: Review (SwaggerItems SwaggerKindSchema) (Referenced Schema) #

_SwaggerItemsPrimitive :: forall t p f. (Profunctor p, Bifunctor p, Functor f) => Optic' p f (SwaggerItems t) (Maybe (CollectionFormat t), ParamSchema t) #

# Orphan instances

Ixed Responses # |
Methods ix :: Index Responses -> Traversal' Responses (IxValue Responses) #
Ixed Operation # |
Methods ix :: Index Operation -> Traversal' Operation (IxValue Operation) #
At Responses # |
Methods at :: Index Responses -> Lens' Responses (Maybe (IxValue Responses)) #
At Operation # |
Methods at :: Index Operation -> Lens' Operation (Maybe (IxValue Operation)) #